// config.c

#include <stdio.h>
#include <string.h>
#include <limits.h>
#include "config.h"
#include "main.h"

int read_config(const char *config_file, Config *config) {
    // 简化的配置文件读取，只读取 root_path
    FILE *file = fopen(config_file, "r");
    if (file == NULL) {
        return -1;
    }

    char line[256];
    while (fgets(line, sizeof(line), file)) {
        char key[64], value[PATH_MAX];
        if (sscanf(line, "%63s = %1023s", key, value) == 2) {
            if (strcmp(key, "root_path") == 0) {
                strncpy(config->root_path, value, PATH_MAX);
            }
        }
    }

    fclose(file);
    return 0;
}

void init_default_config(Config *config) {
    strncpy(config->root_path, DEFAULT_ROOT, PATH_MAX);
}