// rpm_operations.h

#ifndef RPM_OPERATIONS_H
#define RPM_OPERATIONS_H

#include <rpm/rpmtag.h>
#include <rpm/rpmts.h>

#define SYSTEM_RPMDB "/usr/lib/sysimage/rpm/rpmdb.sqlite"

// copied from rpmte_internal.h
typedef enum pkgGoal_e {
    PKG_NONE		= 0,
    /* permit using rpmteType() for install + erase goals */
    PKG_INSTALL		= TR_ADDED,
    PKG_ERASE		= TR_REMOVED,
    PKG_RESTORE		= TR_RESTORED,
    /* permit using scriptname for these for now... */
    PKG_VERIFY		= RPMTAG_VERIFYSCRIPT,
    PKG_PRETRANS	= RPMTAG_PRETRANS,
    PKG_POSTTRANS	= RPMTAG_POSTTRANS,
    PKG_TRANSFILETRIGGERIN	= RPMTAG_TRANSFILETRIGGERIN,
    PKG_TRANSFILETRIGGERUN	= RPMTAG_TRANSFILETRIGGERUN,
} pkgGoal;

int install_packages(const char **rpm_files, int rpm_file_count, const char *root_path);
int uninstall_packages(const char **pkg_names, int pkg_count, const char *root_path);
int query_packages(const char **pkg_names, int pkg_count, const char *root_path);
int copy_rpmdb(const char *root_path);

#endif // RPM_OPERATIONS_H